WESNOTHD(6)

NAMN
wesnothd – Kampen om Wesnoths nätverksdaemon

SYNOPSIS
wesnothd [-dv] [-c sökväg] [-p port] [-t antal] [-T antal]
wesnothd -V

BESKRIVNING
Sköter Kampen om Wesnoths gruppspel. Se http://www.wesnoth.org/wiki/ServerAdministration för information om vilka kommandon servern accepterar via wesnoth-klienten (/query ...) eller fifo.

FLAGGOR

-c sökväg, --config sökväg
    anger var wesnothd skall leta efter konfigurationsfilen. Se avsnittet om SERVERKONFIGURATION nedan för syntaxen. Konfigurationen laddas om när signalen SIGHUP skickas till serverprocessen.

-d, --daemon
    kör wesnothd som en daemon.

-h, --help
    visar en sammanfattning av möjliga kommandoradsflaggor.

--log-nivå=domän1,domän2,...
    anger allvarlighetsgraden för loggdomänerna. För att se allt kan all användas. Möjliga nivåer: error, warning, info,debug. Standardnivå är error och info för server-domänen.

-p port, --port port
    knyter servern till den specificerade porten. Om ingen port anges så används port 15000.

-t antal, --threads antal
    anger maximalt antal väntande trådar för nätverkstrafik (standardvärde: 5, max: 30).

-T antal, --max-threads antal
    anger maximalt antal trådar som skapas för nätverkstrafik. Om 0 anges sätts ingen övre gräns (standardvärde: 0).

-V, --version
    visar versionen.

-v, --verbose
    ger mer utförlig information.

SERVERKONFIGURATION

  Den allmänna syntaxen är:

[tag]

    parameter="värde"

    parameter="värde,värde,..."

[/tag]

  Globala parametrar:

ban_save_file
    Fullständig eller relativ sökväg till en (gzip-komprimerad) fil som servern kan läsa och skriva till. Avstängningar kommer att lagras i den här filen och läsas in vid start av servern.

connections_allowed
    Antal tillåtna anslutningar från samma IP-adress. 0 för ingen gräns. (standardvärde: 5).

disallow_names
    Spelarnamn som ej accepteras av servern. ’*’ och ’?’ är tillåtna för att matcha flera tecken. Se glob(7) för detaljer. Standardvärden (som används om inget anges) är *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Sökväg till fifo du kan eka (echo) serverkommandon till (samma som /query ... inifrån Wesnoth). Om ingen sökväg angetts används den sökväg som angavs vid kompileringen (standardvärde: /var/run/socket/wesnothd/socket).

max_messages
    Antal tillåtna meddelanden inom messages_time_period (standardvärde: 4).

messages_time_period
    Tidsperioden (i sekunder) under vilken meddelandeöversvämning detekteras (standardvärde: 10 sekunder).

motd
    Meddelandet för dagen.

passwd
    Lösenordet för administrationsrättigheter. Börjar ofta med ’admin ’.

replay_save_path
    The directory where the server stores game replays. (Don't forget the trailing /!) Defaults to `' which means the directory wesnothd was started in.

restart_command
    Kommando som servern använder för att starta en ny serverprocess med restart-kommandot. (Kan endast ges via fifo.)

save_replays
    Defines whether the server will automatically save replays of games. (default: false)

versions_accepted
    En komma-separerad lista med versionssträngar som accepteras av servern. ’*’ och ’?’ är tillåtna för att matcha flera tecken. (Standardvärdet är aktuell version av Wesnoth.)
    Exempel: versions_accepted="*" accepterar alla versionssträngar.

user_handler
    Namnet på användarhanteraren att använda. De användarhanterare som för närvarande finns tillgängliga är ’forum’ (för att ansluta wesnothd till en phpBB-forumdatabas) och ’sample’ (ett implementeringsprov av användarhanterargränssnittet, du är galen om du använder den här på något verkligt). Standardvärde är ’forum’. Du måste också lägga till ett [user_handler]-avsnitt, se nedan.

  Globala taggar:

[redirect] En tag som anger vart en server skall omdirigera vissa klientversioner.

    host
        Värdadressen att omdirigera till.

    port
        Porten att ansluta till.

    version
        En komma-separerad lista av versioner att omdirigera. Fungerar på samma sätt som versions_accepted vad gäller strängmatchning.

[ban_time] En tagg som definierar tillfälliga avstängningar med egna nyckelord.

    name
        Namnet på nyckelordet som kommer att användas för avstängningstiden.

    time
        Tidslängd. Format: %d[%s[%d%s[...]]] där %s är s (sekunder), m (minuter), h (timmar), D (dagar), M (månader) eller Y (år) och %d är ett nummer. Om inget anges antas minuter (m). Exempel: time="1D12h30m" vilket ger en avstängning på 1 dag, 12 timmar och 30 minuter.

[proxy] En tagg som anger att servern skall agera som proxy och vidarebefordra klientenförfrågningarna till den angiva servern. Accepterar samma parametrar som [redirect].

[user_handler] Ställer in användarhanteraren. Tillgängliga parametrar beror på vilken användarhanterare som satts med user_handler-parametern. Om inget [user_handler]-avsnitt finns i inställningsfilen kommer servern köras utan tjänsten att registrera spelarnamn.

    db_host
        (för user_handler=forum) Databasserverns värdnamn

    db_name
        (för user_handler=forum) Namnet på databasen

    db_user
        (för user_handler=forum) Användarnamnet som loggar in i databasen

    db_password
        (för user_handler=forum) Den här användarens lösenord

    db_users_table
        (för user_handler=forum) Namnet på den tabell där phpBB-forumet lagrar sina användardata. Troligtvis är detta <tabellprefix>_users (till exempel phpbb3_users).

    db_extra_table
        (för user_handler=forum) Namnet på den tabell där wesnothd lagrar sina användardata. Du behöver skapa denna tabell manuellt, till exempel: CREATE TABLE <tabellnamn>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (för user_handler=sample) Efter vilken tid ett registrerat spelarnamn förfaller (i dagar).

[mail] Ställer in en SMTP-server för användarhanteraren att skicka epost. Just nu används den bara av sample-användarhanteraren.

    server
        Epostserverns värdnamn

    username
        Det användarnamn som loggar in på epostservern.

    password
        Den här användarens lösenord.

    from_address
        Din eposts svara till-adress.

    mail_port
        Vilken port din epostserver körs på. Standardvärde är 25.

FÖRFATTARE
Skriven av David White <davidnwhite@verizon.net>. Redigerad av Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> och Thomas Baumhauer <thomas.baumhauer@gmail.com>. Denna manualsida skrevs ursprungligen av Cyril Bouthors <cyril@bouthors.org>.
Besök den officiella hemsidan: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Detta är fri mjukvara; denna mjukvara är licensierad under GPL version 2, såsom publicerad av Free Software Foundation. INGEN garanti ges; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR ETT VISST SYFTE.

SE ÄVEN
wesnoth(6), wesnoth_editor(6)